Bug 967742 - Unable to create alert definition with Drift condition type
Unable to create alert definition with Drift condition type
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.8
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 04:21 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 05:53:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-05-28 04:21:06 EDT
Description of problem: I a not able to create alert condition of 'Drift' type. Issue is very similar to Bug 967488


Version-Release number of selected component (if applicable):
4.8-master

How reproducible: always


Steps to Reproduce:
do POST /alert/definition/?resourceId=xxx

with t{"dampeningCategory": "NONE", "conditions": [{"category": "DRIFT", "name": "drift.*", "option": ".*"}], "conditionMode": "ALL", "enabled": true, "name": "rest-condition-drift-detection"}his body


Actual results:
Can not construct instance of org.rhq.core.domain.alert.AlertConditionOperator from String value 'drift.*': value not one of declared Enum instance names\n at [Source: org.apache.catalina.connector.CoyoteInputStream@46cb0d63; line: 1, column: 66] (through reference chain: org.rhq.enterprise.server.rest.domain.AlertDefinitionRest[\"conditions\"]->org.rhq.enterprise.server.rest.domain.AlertConditionRest[\"name\"]

Expected results:

alert definition is created. When creating a definition of type "DRIFT", "name" should be interpreted as "drift definition name" regular expression, do match drift definition, and "option" is a regular expression to match pathname.


Additional info:
Comment 1 Heiko W. Rupp 2013-06-04 15:10:08 EDT
master e718326
Comment 2 Heiko W. Rupp 2013-09-11 05:53:56 EDT
Bulk closing of old issues now that HRQ 4.9 is in front of the door.

If you think the issue has not been solved, then please open a new bug and mention this one in the description.

Note You need to log in before you can comment on or make changes to this bug.